Bug 184596 - artifacts when running with TERM=xterm and ispell
Summary: artifacts when running with TERM=xterm and ispell
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vte   
(Show other bugs)
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 176344
TreeView+ depends on / blocked
 
Reported: 2006-03-10 04:11 UTC by ritz
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHBA-2007-0219
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:15:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (4.37 KB, patch)
2006-09-08 20:20 UTC, Behdad Esfahbod
no flags Details | Diff
gnome-terminal screenshot. (67.75 KB, image/png)
2007-01-22 21:25 UTC, Alan Matsuoka
no flags Details
vte bug's screenshot along with xterm (91.98 KB, image/png)
2007-02-20 15:37 UTC, ritz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0219 normal SHIPPED_LIVE vte bug fix update 2007-05-01 17:14:00 UTC
Red Hat Bugzilla 134300 None None None Never

Description ritz 2006-03-10 04:11:17 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. export TERM=XTERM
2. run ispell <inout-file>
3. Ignore
  
Actual results:
Re-draw is incorrect

Expected results:
Should not have any artifacts

Additional info:
gnome-terminal-2.7.3-2-x86_64
gnome-terminal-2.7.3-2-i386

Comment 8 HMDC Linux Support 2006-05-26 20:46:30 UTC
Detailed notes have already been entered into Red Hat Technical Support service
request #829264. Is it necessary to reproduce them here?

Comment 15 Behdad Esfahbod 2006-07-26 16:10:14 UTC
Shouldn't you be setting TERM=xterm and not TERM=XTERM?

Comment 17 HMDC Linux Support 2006-07-26 18:11:25 UTC
The notes entered by rkhadgar@redhat.com are inaccurate; we were experiencing
this bug with TERM=xterm, which is the default setting of TERM in a
gnome-terminal under RHELv4. I have logged extensive notes on Red Hat Technical
Support service
request #829264. Is it necessary to reproduce them here?

Comment 18 ritz 2006-07-26 18:44:44 UTC
I have made a note of TERM=xterm, and informed engineering regarding the same.
Unfortunately, my reply is private. 

Comment 19 Behdad Esfahbod 2006-07-26 19:13:36 UTC
Is there a way I can see the details?

Comment 24 ritz 2006-08-18 21:53:16 UTC
Created attachment 134490 [details]
spellcheck.txt file attached

test file

Comment 25 RHEL Product and Program Management 2006-08-31 23:15:38 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Comment 27 HMDC Linux Support 2006-09-01 14:49:12 UTC
Could someone please indicate why this request was declined? This issue is a
significant inconvenience to our users who spell check files in gnome-terminal.

Comment 28 Behdad Esfahbod 2006-09-01 17:33:41 UTC
I'm looking into it.

Comment 30 Behdad Esfahbod 2006-09-08 20:20:23 UTC
Created attachment 135875 [details]
fix

Comment 35 RHEL Product and Program Management 2006-09-25 18:46:43 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 38 Behdad Esfahbod 2006-11-21 19:55:26 UTC
(In reply to comment #37)
> ahy updates w.r.t. a patch ?

I've already attached a patch.  Waiting for QA to confirm that this fixes the bug.

> This event sent from IssueTracker by rkhadgar 
>  issue 90232



Comment 39 ritz 2006-11-22 16:35:36 UTC
If this is the patch attached to this bugzilla, it still borks out.

Comment 41 Behdad Esfahbod 2007-01-16 22:20:48 UTC
I tested again with vte-0.11.11-8.el4, and it behaves just like xterm does. 
Previously it used to leave artifacts instead of scrolling text up.

Please attach a screenshot of the broken rendering in vte-0.11.11-8.el4, and the
correct rendering of the same situation in xterm.

Comment 47 Behdad Esfahbod 2007-01-22 21:06:14 UTC
(In reply to comment #46)
> Here's what I saw.
> 
> 
> This event sent from IssueTracker by alanm 
>  issue 90232
>               
> it_file 80490

If I understand this correctly, this is only the xterm shot.  PLEASE give me all
the information I asked for in comment #45, so I can figure out what's going on.


Comment 48 Alan Matsuoka 2007-01-22 21:25:33 UTC
Created attachment 146231 [details]
gnome-terminal screenshot.

Comment 49 Behdad Esfahbod 2007-01-23 01:44:29 UTC
and the warnings written to the terminal when you launch gnome-terminal from
inside another terminal?

Comment 52 ritz 2007-02-20 15:25:03 UTC
This bug is not fixed yet.

Comment 53 ritz 2007-02-20 15:37:05 UTC
Created attachment 148416 [details]
vte bug's screenshot along with xterm

this screenshot demonstrates vte's bug.
additionally, gnome-terminal does not print any message when run from xterm.

Comment 54 Behdad Esfahbod 2007-03-09 19:44:29 UTC
Should be really fixed this time, in vte-0.11.11-10.el4.

Comment 59 Red Hat Bugzilla 2007-05-01 17:15:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0219.html



Note You need to log in before you can comment on or make changes to this bug.